﻿using FreeSql.DataAnnotations;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Xml.Linq;
using ZhonTai.Admin.Core.Entities;

namespace IMES_Middleware_Platform.Api.Domain.Authorization
{

    /// <summary>
    /// 油站SDK授权
    /// </summary>
    [Table(Name = "FueilingSdkAuth")]
    public class FueilingSdkAuth : EntityUpdate
    {
        /// <summary>
        /// 加油站
        /// </summary>
        [Column(StringLength = 50)]
        public string OilStation { get; set; }


        /// <summary>
        /// 项目名称
        /// </summary>
        [Column(StringLength = 50)]
        public string ProjectName { get; set; }


        /// <summary>
        /// 设备SN号
        /// </summary>
        [Column(StringLength = 64)]
        public string SN { get; set; }



        /// <summary>
        /// 密钥Key
        /// </summary>
        [Column(StringLength = 64)]
        public string Key { get; set; }


        /// <summary>
        /// 过期时间
        /// </summary>
        [Column(StringLength = 64)]
        public DateTime? ExpiedTime { get; set; }

        /// <summary>
        /// 状态
        /// </summary>
        [Column(StringLength = 4)]
        public int State { get; set; }



        /// <summary>
        /// 备注
        /// </summary>
        public string Remark { get; set; }
    }
}
