﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace IMES_Middleware_Platform.Api.Domain.Authorization.Input
{
    public class FueilingSdkAuthInput
    {
        public long Guid { get; set; }

        /// <summary>
        /// 油站名称
        /// </summary>
        public string OilStation { get; set; }

        /// <summary>
        /// 项目名称
        /// </summary>
        public string Project { get; set; }

        /// <summary>
        /// 设备
        /// </summary>
        public string SN { get; set; }

        /// <summary>
        /// 授权码
        /// </summary>
        public string Key { get; set; }

        /// <summary>
        /// 0未授权，1授权
        /// </summary>
        public int State { get; set; }

        /// <summary>
        /// 授权开始时间
        /// </summary>
        public DateTime ExpiedTime { get; set; }

        /// <summary>
        /// 备注
        /// </summary>
        public string  Remark { get; set; }



        public FueilingSdkAuth ToEntity()
        {
            return new FueilingSdkAuth()
            {
                State = State,
                SN = SN,
                OilStation = OilStation,
                CreatedTime = DateTime.Now,
                ProjectName = Project,
                Key = Key,
                ExpiedTime = ExpiedTime,
                Id = Guid,
                Remark = Remark,
            };
        }
    }
}
