﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace IMES_Middleware_Platform.Api.Domain.FuelDispenser.Dto
{
    public class AlarmHistoryDto
    {
        /// <summary>
        /// 油机ID
        /// </summary>
        public int FuelId { get; set; }

        public DateTime? CreatedDate { get; set; }
        /// <summary>
        /// 加油站
        /// </summary>
        public string GasStation { get; set; }
        /// <summary>
        /// 油机号
        /// </summary>
        public string Name { get; set; }
        /// <summary>
        /// 序列号
        /// </summary>
        public string SerialNumber { get; set; }
        /// <summary>
        /// 报警来源
        /// </summary>
        public string AlarmSource { get; set; }
        /// <summary>
        /// 报警类型
        /// </summary>
        public string AlarmType { get; set; }
        /// <summary>
        /// 报警描述
        /// </summary>
        public string AlarmDescription { get; set; }
        /// <summary>
        ///  
        /// </summary>
        public int AlarmHistoryID { get; set; }
        public AlarmHistoryEntity ToFuelDispenser(AlarmHistoryDto gasPump)
        {
            return new AlarmHistoryEntity()
            {
                FuelId = gasPump.FuelId,
                CreatedDate = gasPump.CreatedDate,
                GasStation = gasPump.GasStation,
                SerialNumber = gasPump.SerialNumber,
                Name = gasPump.Name,
                AlarmSource = gasPump.AlarmSource,
                AlarmType = gasPump.AlarmType,
                AlarmDescription = gasPump.AlarmDescription,
                AlarmHistoryID = gasPump.AlarmHistoryID
            };
        }
        public static List<AlarmHistoryEntity> ToFuelDispenserList(List<AlarmHistoryDto> gasPump)
        {
            List<AlarmHistoryEntity> list = new List<AlarmHistoryEntity>();
            foreach (var i in gasPump)
            {
                list.Add(new AlarmHistoryEntity {
                    FuelId = i.FuelId,
                    CreatedDate = i.CreatedDate,
                    GasStation = i.GasStation,
                    SerialNumber = i.SerialNumber,
                    Name = i.Name,
                    AlarmSource = i.AlarmSource,
                    AlarmType = i.AlarmType,
                    AlarmDescription = i.AlarmDescription,
                    AlarmHistoryID = i.AlarmHistoryID
                });
            }
            return list;
        }
    }
}
