﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace IMES_Middleware_Platform.Api.Domain.FuelDispenser.Dto
{
    //生命周期
    public class LifecycleContent
    {
        public int ModelId { get; set; }
        public string Ip { get; set; }
        public string Type { get; set; }
        public string Url { get; set; }
        public long? CreatedDate { get; set; }
        public CreatedBy CreatedBy { get; set; }
        public string RequestId { get; set; }
        public long ModifiedDate { get; set; }
        public int ModifiedBy { get; set; }
        public int Id { get; set; }
        public string Category { get; set; }
        public DispenserContentDetails Content { get; set; }
    }

    public class CreatedBy
    {
        public string Name { get; set; }
        public int? Id { get; set; }
    }

    public class LifecycleRoot
    {
        public List<LifecycleContent> Content { get; set; }
        public Pageable Pageable { get; set; }
        public int TotalElements { get; set; }
        public int TotalPages { get; set; }
        public Sort Sort { get; set; }
        public int NumberOfElements { get; set; }
        public int Size { get; set; }
        public int Number { get; set; }
    }
    public class Sort
    {
    }

    public class DispenserContentDetails
    {
        public object DeviceStatus { get; set; }

    }
    public class LifecycleDto
    {
        /// <summary>
        /// 油机ID
        /// </summary>
        public int FuelId { get; set; }
        public DateTime? CreatedDate { get; set; }
        /// <summary>
        /// 操作人
        /// </summary>
        public string Operator { get; set; }  // 操作人
        /// <summary>
        /// 操作人ID
        /// </summary>
        public int? OperatorID { get; set; }   // 操作人ID
        /// <summary>
        /// 操作
        /// </summary>
        public string Operation { get; set; } // 操作
        public int LifeCycleID { get; set; }
        public LifeCycle ToFuelDispenser(LifecycleDto lifecycleDto)
        {
            return new LifeCycle()
            {
                CreatedDate = lifecycleDto.CreatedDate,
                Operator = lifecycleDto.Operator,
                OperatorID = lifecycleDto.OperatorID,
                Operation = lifecycleDto.Operation,
                FuelId = lifecycleDto.FuelId,
                LifeCycleID = lifecycleDto.LifeCycleID
            };
        }
        public static List<LifeCycle> ToFuelDispenserList(List<LifecycleDto> gasPump)
        {
            List<LifeCycle> list = new List<LifeCycle>();
            foreach (var i in gasPump)
            {
                list.Add(new LifeCycle
                {
                    FuelId = i.FuelId,
                    CreatedDate = i.CreatedDate,
                    Operator = i.Operator,
                    OperatorID = i.OperatorID,
                    Operation = i.Operation,
                    LifeCycleID = i.LifeCycleID
                });
            }
            return list;
        }
    }
}
