﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace IMES_Middleware_Platform.Api.Domain.FuelDispenser.Dto
{
    public class SupplierDto
    {
    }
    public class Supplier
    {
        public string GroupType { get; set; }
        public object Address { get; set; }
        public string Code { get; set; }
        public int StandardId { get; set; }
        public string Description { get; set; }//加油机厂商
        public int PhotoId { get; set; }
        public string RegisterNo { get; set; }
        public long? CreatedDate { get; set; }
        public List<string> DeviceTypes { get; set; }
        public int? CreatedBy { get; set; }
        public object Phone { get; set; }
        public object Contact { get; set; }
        public string Name { get; set; }//制造商
        public long? ModifiedDate { get; set; }
        public string Alias { get; set; }
        public int ModifiedBy { get; set; }
        public int Id { get; set; }
    }

    public class Company
    {
        public string GroupType { get; set; }
        public object Address { get; set; }
        public object Code { get; set; }
        public int StandardId { get; set; }
        public object Description { get; set; }
        public int PhotoId { get; set; }
        public object RegisterNo { get; set; }
        public long? CreatedDate { get; set; }
        public List<object> DeviceTypes { get; set; }
        public int? CreatedBy { get; set; }
        public object Phone { get; set; }
        public object Contact { get; set; }
        public string Name { get; set; }//石油公司
        public long? ModifiedDate { get; set; }
        public object Alias { get; set; }
        public int ModifiedBy { get; set; }
        public int Id { get; set; }
    }

    public class Station
    {
        public string StationCode { get; set; }
        public bool Alarming { get; set; }
        public string DistrictCode { get; set; }
        public string City { get; set; }
        public string CityCode { get; set; }
        public object Description { get; set; }
        public object RetailCertificate { get; set; }
        public string Type { get; set; }
        public string RegisterNo { get; set; }
        public string Province { get; set; }
        public string Contact { get; set; }
        public int ModifiedBy { get; set; }
        public Company Company { get; set; }
        public int Id { get; set; }
        public double Lat { get; set; }
        public string Address { get; set; }
        public double Lng { get; set; }
        public bool Test { get; set; }
        public bool Business { get; set; }
        public string ProvinceCode { get; set; }
        public long? AlarmTime { get; set; }
        public int PhotoId { get; set; }
        public List<object> Tags { get; set; }
        public int DispensersTotal { get; set; }
        public long? CreatedDate { get; set; }
        public string Phone { get; set; }
        public int? CreatedBy { get; set; }
        public string District { get; set; }
        public string Name { get; set; }//加油站
        public long? ModifiedDate { get; set; }
        public int NoticesTotal { get; set; }
        public int NozzleControlsTotal { get; set; }
    }

    public class Content
    {
        public object LastInspectTime { get; set; }
        public string MeasureRang { get; set; }//测量范围
        public bool Alarming { get; set; }//自锁功能 
        public int DeviceAlarmLevel { get; set; }
        public string OnlineStatus { get; set; }//在线状态 online:在线  offline ： 离线
        public long? ProductTime { get; set; }//出厂时间

        public string Type { get; set; }//加油机机型
        public string AccuracyLevel { get; set; }//准确度等级
        public string Uuid { get; set; }
        public string DeviceStatus { get; set; }//设备状态  enable:启用   register:备案  disable:维修  factory:出厂注册
        public long? LockTime { get; set; }
        public List<string> ChangeInfo { get; set; }
        public object Contact { get; set; }
        public Supplier Supplier { get; set; }
        public Station Station { get; set; }
        public bool Lock { get; set; }
        public int ModifiedBy { get; set; }
        public long? StartTime { get; set; }//启用时间

        public int AlarmLevel { get; set; }//报警状态   0:正常   1：一般报警    2：严重报警
        public int Id { get; set; }
        public string ModelSpec { get; set; }//规格参数
        public string SerialNum { get; set; }//序列号     出厂编号
        public bool Test { get; set; }
        public List<object> SealNo { get; set; }
        public List<object> Alarms { get; set; }
        public long? AlarmTime { get; set; }
        public int PhotoId { get; set; }
        public long? FixTime { get; set; } //安装日期
        public List<int> PhotoIds { get; set; }
        public long? SoldTime { get; set; }
        public List<string> AlarmDetail { get; set; }
        public object VerificationCode { get; set; }
        public long? CreatedDate { get; set; }
        public object Phone { get; set; }
        public int? CreatedBy { get; set; }
        public bool Repairing { get; set; }
        public string Name { get; set; } //名称
        public long? ModifiedDate { get; set; }
        public string Setup { get; set; }
        public int NoticesTotal { get; set; }
        public int NozzleControlsTotal { get; set; }//加油枪数量
    }
    public class Alarm
    {
        public int code { get; set; }
        public string typeDisplay { get; set; }
        public int level { get; set; }
        public string description { get; set; }
        public int _id { get; set; }
        public string type { get; set; }
        public string device { get; set; }
    }
    public class Pageable
    {
        public object Sort { get; set; }
        public int PageSize { get; set; }
        public int PageNumber { get; set; }
        public int Offset { get; set; }
    }

    public class Summary
    {
        public int NozzleControlCount { get; set; }
        public int DispenserCount { get; set; }
    }

    public class Root
    {
        public string origin { get; set; }//blackBox ：安全装置      platform ：云平台
        public List<Content> Content { get; set; }
        public Pageable Pageable { get; set; }
        public Summary Summary { get; set; }
        public Station Station { get; set; }
        public Alarm Alarm { get; set; }
        public Content dispenser { get; set; }
        public int TotalElements { get; set; }
        public int TotalPages { get; set; }
        public object Sort { get; set; }
        public int NumberOfElements { get; set; }
        public int Size { get; set; }
        public int Number { get; set; }
        public long? createdDate { get; set; }
        public int id { get; set; }
    }
    public class AlarmHistoryRoot
    { 
        public List<Root> Content { get; set; }
        public Pageable Pageable { get; set; }
        public int TotalElements { get; set; }
        public int TotalPages { get; set; }
        public object Sort { get; set; }
        public int NumberOfElements { get; set; }
        public int Size { get; set; }
        public int Number { get; set; }
    }
}
