﻿using FreeSql.DataAnnotations;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Xml.Linq;
using ZhonTai.Admin.Core.Entities;

namespace IMES_Middleware_Platform.Api.Domain.FuelDispenser
{
    [Table(Name = "FuelDispenser")]
    public class FuelDispenserEntity : EntityUpdate
    {
        /// <summary>
        /// 加油机名称
        /// </summary>
        public string Name { get; set; }
        public int  FuelId { get; set; }

        /// <summary>
        /// 石油公司
        /// </summary>
        public string OilCompany { get; set; }

        /// <summary>
        /// 加油站
        /// </summary>
        public string GasStation { get; set; }

        /// <summary>
        /// 序列号
        /// </summary>
        public string SerialNumber { get; set; }

        /// <summary>
        /// 加油机机型
        /// </summary>
        public string Model { get; set; }

        /// <summary>
        /// 加油机枪数量
        /// </summary>
        public int GunCount { get; set; }

        /// <summary>
        /// 制造商
        /// </summary>
        public string Manufacturer { get; set; }
        /// <summary>
        /// 加油机厂商
        /// </summary>
        public string Description { get; set; }

        /// <summary>
        /// 出厂时间
        /// </summary>
        public DateTime? ManufactureDate { get; set; }

        /// <summary>
        /// 启动时间
        /// </summary>
        public DateTime? StartupDate { get; set; }

        /// <summary>
        /// 安装时间
        /// </summary>
        public DateTime? InstallationDate { get; set; }

        /// <summary>
        /// 设备状态
        /// </summary>
        public string DeviceStatus { get; set; }

        /// <summary>
        /// 在线状态
        /// </summary>
        public string OnlineStatus { get; set; }
        /// <summary>
        /// 测量范围
        /// </summary>
        public string MeasureRang { get; set; }
        /// <summary>
        /// 准确度等级
        /// </summary>
        public string AccuracyLevel { get; set; }
        /// <summary>
        /// 规格参数
        /// </summary>
        public string ModelSpec { get; set; }
        /// <summary>
        /// 报警状态  0:正常   1：一般报警    2：严重报警
        /// </summary>
        public int AlarmLevel { get; set; }
        /// <summary>
        /// 累计在线时间
        /// </summary>
        public string OnlineDesc { get; set; }

    }
}
