﻿using IMES_Middleware_Platform.Api.Core.Consts;
using IMES_Middleware_Platform.Api.Domain.Authorization;
using IMES_Middleware_Platform.Api.Domain.Authorization.Dto;
using IMES_Middleware_Platform.Api.Domain.Authorization.Input;
using IMES_Middleware_Platform.Api.Domain.Authorization.Output;
using Microsoft.AspNetCore.Authorization;
using Microsoft.AspNetCore.Components.Forms;
using Microsoft.AspNetCore.DataProtection.KeyManagement;
using Microsoft.AspNetCore.Mvc;
using Microsoft.Extensions.FileProviders;
using Minio.DataModel;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Security.Cryptography;
using System.Text;
using System.Threading.Tasks;
using ZhonTai;
using ZhonTai.Admin.Core.Attributes;
using ZhonTai.Admin.Core.Dto;
using ZhonTai.Admin.Services;
using ZhonTai.DynamicApi;
using ZhonTai.DynamicApi.Attributes;

namespace IMES_Middleware_Platform.Api.Services.Authorization
{
    /// <summary>
    /// 油机 SDK授权服务 
    /// </summary>
    [Order(1000)]
    [DynamicApi(Area = ApiConsts.AreaName)]
    public class FueilingSdkAuthService : BaseService, IFueilingSdkAuthService, IDynamicApi
    {
        private readonly IFueilingSdkAuthRepository _repository;
        public FueilingSdkAuthService(IFueilingSdkAuthRepository repository)
        {
            _repository = repository;
        }

        /// <summary>
        /// 新增授权SDK
        /// </summary>
        /// <param name="authPageDto"></param>
        /// <returns></returns>
        [HttpPost]
        public async Task<bool> Add(FueilingSdkAuthInput authPageDto)
        {
            var model = await _repository.InsertAsync(authPageDto.ToEntity());
            return true;
        }

        public Task<PageOutput<FueilingSdkAuthOutPut>> GetPageAsync(PageInput<FueilingSdkAuthPageDto> input)
        {
            throw new NotImplementedException();
        }

        public Task<bool> Import(IFileInfo fileInfo)
        {
            throw new NotImplementedException();
        }

        /// <summary>
        /// 更新授权SDK
        /// </summary>
        /// <param name="authPageDto"></param>
        /// <returns></returns>
        [HttpPut]
        public async Task<bool> Update(List<FueilingSdkAuthInput> authPageDto)
        {
            return true;
        }

        public Task<bool> Update(FueilingSdkAuthInput authPageDto)
        {
            throw new NotImplementedException();
        }

        [HttpPost]
        [AllowAnonymous]
        public async Task<bool> ValidateAuthorization(string permission)
        {
            string key = "1434d03d777d4e93bb1e3b3a446049c6";
            var decryptedKey = StringSecurityExtension.AesEncryptToBase64(permission, key);
            string[] SnOrAuthcode = decryptedKey.Split('+');
            var Sn = SnOrAuthcode[0];
            var Authcode = SnOrAuthcode[1];
            DateTime dateTime = new DateTime();
            var model =  _repository.Where(a => a.SN == Sn && a.Key == Authcode && a.ExpiedTime >= dateTime).First();
            if (model == null)
            {
                return false;
            }

            return true;
        }

    }
}
